## funkload 1.16.1

=== Makefile ===
# FunkLoad Makefile
# $Id: $
#
.PHONY: build pkg sdist egg install clean rpm

TARGET := gateway:/opt/public-dev/funkload

# use TAG=a for alpha, b for beta, rc for release candidate
ifdef TAG
	PKGTAG := egg_info --tag-build=$(TAG) --tag-date
else
    PKGTAG :=
endif


build:
	python setup.py $(PKGTAG) build

test:
	cd src/funkload/tests && fl-run-test -v --doctest test_Install.py

pkg: sdist egg

sdist:
	python setup.py $(PKGTAG) sdist

egg:
	-python2.4 setup.py $(PKGTAG) bdist_egg
	-python2.5 setup.py $(PKGTAG) bdist_egg
	-python2.6 setup.py $(PKGTAG) bdist_egg
	-python2.7 setup.py $(PKGTAG) bdist_egg

distrib:
	-scp dist/funkload-*.tar.gz $(TARGET)/snapshots
	-scp dist/funkload-*.egg $(TARGET)/snapshots

install:
	python setup.py $(PKGTAG) install

register:
	-python2.6 setup.py register sdist bdist_egg upload
	-python2.7 setup.py register bdist_egg upload
	-python2.5 setup.py register bdist_egg upload


uninstall:
	-easy_install -m funkload
	-rm -rf /usr/lib/python2.3/site-packages/funkload*
	-rm -rf /usr/lib/python2.4/site-packages/funkload*
	-rm -rf /usr/lib/python2.5/site-packages/funkload*
	-rm -rf /usr/lib/python2.6/dist-packages/funkload*
	-rm -rf /usr/local/lib/python2.6/dist-packages/funkload*
	-rm -rf /usr/local/funkload/
	-rm -f /usr/local/bin/fl-*
	-rm -f /usr/bin/fl-*

clean:
	find . "(" -name "*~" -or  -name ".#*" -or  -name "#*#" -or -name "*.pyc" ")" -print0 | xargs -0 rm -f
	rm -rf ./build ./dist ./MANIFEST ./funkload.egg-info

=== doc/Makefile ===
# Makefile for Sphinx documentation
#
TARGET := gateway:/opt/public-dev/funkload

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/funkload.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/funkload.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

distrib: 
	scp -r build/html/* $(TARGET)/

=== src/funkload/Makefile ===
clean:
	find . "(" -name "*~" -or  -name ".#*" -or -name "*py.class" ")" -print0 | xargs -0 rm -f
	rm -f *.html

=== src/funkload/demo/seam-booking-1.1.5/Makefile ===
# Makefile of FunkLoad xmlrpc demo
.PHONY: clean all start stop restart status
.PHONY:	test credential_test bench credential_bench
.PHONY:	start_monitor stop_monitor restart_monitor
.PHONY:	start_credential stop_credential restart_credential

MONCTL := fl-monitor-ctl monitor.conf
CREDCTL := fl-credential-ctl credential.conf

ifdef URL
# FunkLoad options
	FLOPS = -u $(URL)
else
	FLOPS =
endif

all: test

# testing
test:
	fl-run-test  test_SeamBooking.py -v $(FLOPS)

debug:
	fl-run-test -d test_SeamBooking.py -v $(FLOPS)

# to display donwload of links
debug_verbose:
	fl-run-test -d --debug-level=2 test_SeamBooking.py -v $(FLOPS)

# Render each fetched page in a runing firefox
debug_firefox:
	fl-run-test -dV test_SeamBooking.py -v $(FLOPS)

# benching
bench:
	@$(MONCTL) restart
	-fl-run-bench -c 1:20:40:60 -D 30 -m.01 -M2 test_SeamBooking.py SeamBooking.test_seam_booking $(FLOPS)
	-fl-build-report credential-bench.xml --html
	@$(MONCTL) stop


# misc
start_monitor:
	$(MONCTL) start

stop_monitor:
	-$(MONCTL) stop

restart_monitor:
	$(MONCTL) restart

status:
	$(MONCTL) status;

stop: stop_monitor

start: start_monitor

restart: restart_monitor

clean:
	-find . "(" -name "*~" -or  -name ".#*" ")" -print0 | xargs -0 rm -f

=== src/funkload/demo/xmlrpc/Makefile ===
# Makefile of FunkLoad xmlrpc demo
.PHONY: clean all start stop restart status
.PHONY:	test credential_test bench credential_bench
.PHONY:	start_monitor stop_monitor restart_monitor
.PHONY:	start_credential stop_credential restart_credential

CREDCTL := fl-credential-ctl cred.conf
MONCTL := fl-monitor-ctl monitor.conf

ifdef URL
# FunkLoad options
	FLOPS = -u $(URL)
else
	FLOPS =
endif

all: test

# testing
test: credential_test

credential_test:
	$(CREDCTL) restart
	fl-run-test test_Credential.py -v $(FLOPS)
	$(CREDCTL) stop

# benching
bench: credential_bench

credential_bench:
	@$(CREDCTL) restart
	@$(MONCTL) restart
	-fl-run-bench -c 1:20:40:60:80:100 -D 10 test_Credential.py Credential.test_credential $(FLOPS)
	-fl-build-report credential-bench.xml --html
	@$(MONCTL) stop
	@$(CREDCTL) stop


# monitor ctl
start_monitor:
	$(MONCTL) start

stop_monitor:
	-$(MONCTL) stop

restart_monitor:
	$(MONCTL) restart

# credential ctl
start_credential:
	$(CREDCTL) start

stop_credential:
	$(CREDCTL) stop

restart_credential:
	$(CREDCTL) restart

# misc
status:
	$(MONCTL) status;
	$(CREDCTL) status;

stop: stop_monitor stop_credential

start: start_monitor start_credential

restart: restart_monitor restart_credential

clean:
	-find . "(" -name "*~" -or  -name ".#*" ")" -print0 | xargs -0 rm -f

## funkload 1.13.0

=== debian/changelog ===
funkload (1.13.0-1) unstable; urgency=low

  * new upstream release
  * moved to new packaging scheme
  * fixed debian/control (closes: #592079)

 -- Toni Mueller <toni@debian.org>  Sun, 08 Aug 2010 19:24:57 +0200

funkload (1.12.0-1) unstable; urgency=low

  * new upstream
  * standards -> 3.9.0

 -- Toni Mueller <toni@debian.org>  Sat, 17 Jul 2010 02:08:36 +0200

funkload (1.11.0-4) unstable; urgency=low

  * correct build error

 -- Toni Mueller <toni@debian.org>  Sun, 02 May 2010 22:08:53 +0200

funkload (1.11.0-3) unstable; urgency=low

  * adds python-setuptools (closes: #579743)

 -- Toni Mueller <toni@debian.org>  Sun, 02 May 2010 22:00:21 +0200

funkload (1.11.0-2) unstable; urgency=low

  * removed obsolete file

 -- Toni Mueller <toni@debian.org>  Thu, 04 Feb 2010 13:41:02 +0100

funkload (1.11.0-1) unstable; urgency=low

  * new upstream, compatible with both webunit 1.3.8 and 1.3.9

 -- Toni Mueller <toni@debian.org>  Wed, 03 Feb 2010 01:04:29 +0100

funkload (1.10.0-3) unstable; urgency=low

  * removing python-xml dependency (closes: #545889)
  * cleaned up cruft from now-defunct python-central

 -- Toni Mueller <toni@debian.org>  Sat, 12 Sep 2009 12:26:52 +0200

funkload (1.10.0-2) unstable; urgency=low

  * fixed dependency

 -- Toni Mueller <toni@debian.org>  Tue, 01 Sep 2009 15:19:45 +0200

funkload (1.10.0-1) unstable; urgency=low

  * New upstream release (closes: #541596).
    - Fix a crash when using fl-build-report (Closes: #492755)
  * debian/rules: Update upstream version.
  * debian/control: 
   - Set XS-Python-Version to >= 2.5 instead of hardcoding versions.
   - Add python-setuptools to depends, it doesn't start without it.
   - Add gnuplot as recommends, it's necessary to run tests.
  * debian/patches: Drop, merged upstream.
  * debian/docs Update funkload.egg-info location.
  * debian/watch: Update.
  * python-central -> python-support

 -- Toni Mueller <toni@debian.org>  Tue, 01 Sep 2009 10:27:24 +0200

funkload (1.6.2-6) unstable; urgency=low

  * changed dependencies wrt. python-webunit to require at least
    1:1.3.8, but to conflict with 1:1.3.9.
  * added python-docutils (closes: #493205)

 -- Toni Mueller <toni@debian.org>  Mon, 04 Aug 2008 10:09:36 +0200

funkload (1.6.2-5) unstable; urgency=low

  * added python-docutils (closes: #493205)
  * suggests -> recommends due to the high usability impact
  * fixed python-webunit at 1.3.8 (compatibilty issue with 1.3.9)

 -- Toni Mueller <toni@debian.org>  Fri, 01 Aug 2008 11:11:58 +0200

funkload (1.6.2-4) unstable; urgency=low

  * upgraded to new standards version
  * dropped runtime dependency on python-setuptools (Closes: #468733)
  * dropped python-xml dependency (Closes: #468593)
  * rebuild with new python-central (Closes: #490464)

 -- Toni Mueller <toni@debian.org>  Thu, 10 Jul 2008 23:23:25 +0200

funkload (1.6.2-3) unstable; urgency=low

  * renamed recommends "tcpwatch" to "tcpwatch-httpproxy"
  * added python-setup to build-depends (closes: #457240)
  * added Jose Miguel Parrella Romero's manpages (thank you!)
  * fixed typos in the control file (closes: #457344)

 -- Toni Mueller <toni@debian.org>  Fri, 21 Dec 2007 23:19:17 +0100

funkload (1.6.2-2) unstable; urgency=low

  * added missing dependency

 -- Toni Mueller <support@oeko.net>  Wed, 19 Dec 2007 11:33:38 +0100

funkload (1.6.2-1) unstable; urgency=low

  * Initial release (Closes: #351082)

 -- Toni Mueller <toni@debian.org>  Wed, 12 Dec 2007 17:07:33 +0100

=== debian/control ===
Source: funkload
Section: web
Priority: extra
Maintainer: Toni Mueller <toni@debian.org>
Build-Depends: python, cdbs, debhelper (>= 7.4), docbook-to-man, python-docutils, python-support (>> 1.0), python-setuptools
Standards-Version: 3.9.1

Package: funkload
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources, python-webunit (>= 1:1.3.10)
Recommends: tcpwatch-httpproxy, gnuplot (>= 4.2), python-docutils
Description: web testing tool
 This web testing tool is designed to allow testing the functionality
 and performance of web applications in the same spirit as Perl's
 WWW::Mechanize. The tool supports recording clicks through a website,
 saving them into a Python class which you can later modify, and
 playing them back later. This allows you to script your web
 applications. 'funkload' also supports performance and load testing
 your applications.
 .

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=funkload

export DH_VERBOSE=1

#UPSTREAM_VERSION=1.13.0

DEB_SRCDIR=$(CURDIR)
ROOT=$(DEB_SRCDIR)/debian/$(PACKAGE)

DEB_PYTHON_SYSTEM=pysupport
DEB_PYTHON_VERSIONS=all

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk


binary-install/funkload::
	rm -fr build home
	rm -fr build home
	cp -a CHANGES.txt debian/funkload/usr/share/doc/funkload/changelog
	rm -f debian/funkload/usr/share/doc/funkload/CHANGES.txt.*
	cp -a debian/funkload.html debian/funkload/usr/share/doc/funkload
	(echo -n "current tree "; bzr revno ) > debian/note-to-self || true
	cp -a debian/note-to-self debian/funkload/usr/share/doc/funkload
	dh_installman debian/*.1
	perl debian/dh_installoverrides

binary-strip/funkload::
	rm -fr ${ROOT}/usr/share/pyshared/funkload/demo

clean::
	rm -fr build home


#	mkdir debian/funkload/usr/share/doc/funkload/examples || true
#	mv debian/funkload/usr/share/pyshared/funkload/demo debian/funkload/usr/share/doc/funkload/examples

## funkload 1.16.1

=== debian/changelog ===
funkload (1.16.1-4) unstable; urgency=high

  * correct installation failure that breaks all binaries
    (closes: #684872)
  * urgency high due to freeze

 -- Toni Mueller <toni@debian.org>  Tue, 14 Aug 2012 13:05:36 +0200

funkload (1.16.1-3) unstable; urgency=high

  * added the dependency (Closes: #659232)

 -- Toni Mueller <toni@debian.org>  Sat, 30 Jun 2012 23:24:09 +0200

funkload (1.16.1-2) unstable; urgency=low

  * symlink the JS libraries (Closes: #678043)
    Note that this only works if the user actually installed the
    Recommends: .

 -- Toni Mueller <toni@debian.org>  Mon, 25 Jun 2012 18:12:50 +0200

funkload (1.16.1-1) unstable; urgency=medium

  * new upstream
  * medium because of fix to the build process (closes: #643124)
  * migrated to using git-buildpackage
  * added python-webunit to the dependency list (closes: #627785)
    thanks to Benoit Delbosc
  * fixed path to demo code (closes: #630236)
    thanks to Vincent Férotin
  * split out docs package, which is now using Sphinx
  * dropped CDBS build dependency
  * dropped individual documentation building dependencies
 
 -- Toni Mueller <toni@debian.org>  Sun, 13 May 2012 00:10:08 +0200

=== debian/control ===
Source: funkload
Section: web
Priority: extra
Maintainer: Toni Mueller <toni@debian.org>
Build-Depends: python, debhelper (>= 7.4), python-support (>> 1.0), python-setuptools, python-sphinx
Standards-Version: 3.9.3
X-Python-Version: >= 2.4, << 2.8

Package: funkload
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-setuptools, python-pkg-resources, python-webunit (>= 1:1.3.10)
Recommends: tcpwatch-httpproxy, gnuplot (>= 4.2), python-docutils
Suggests: python-paramiko, python-virtualenv
Description: web testing tool
 This web testing tool is designed to allow testing the functionality
 and performance of web applications in the same spirit as Perl's
 WWW::Mechanize. The tool supports recording clicks through a website,
 saving them into a Python class which you can later modify, and
 playing them back later. This allows you to script your web
 applications. 'funkload' also supports performance and load testing
 your applications.
 .


Package: funkload-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libjs-jquery, libjs-sphinxdoc
Description: web testing tool (documentation package)
 This package contains the sphinx generated documentation for
 funkload.
 .

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=funkload

DEB_BUILD_OPTIONS=nocheck

UPSTREAM_VERSION=1.16.1
DEB_SOURCE_PACKAGE=funkload
DEB_ALL_PACKAGES="funkload funkload-doc"

export DH_VERBOSE=1
PYVERS=$(shell pyversions -vr)
pkgdir = $(CURDIR)/debian/$(PKGNAME)
-include /usr/share/python/python.mk

clean:
	echo "====MAKE clean step"
	ls -l debian/funkload.examples
	dh_testdir
	dh_testroot
	rm -f build-*
	rm -rf build
	rm -fr doc/build
	rm -fr debian/$(PACKAGE) debian/$(PACKAGE)-doc debian/usr
	find . -name '*\.py[co]' -delete
	rm -fr src/funkload.egg-info
	dh_clean
	ls -l debian/funkload.examples
	echo "====END MAKE clean step"

build:
build-indep: build-docs
build-arch:
binary-arch:

binary: binary-indep

test:
	echo "Testing the non-installed package is not supported"

build-docs:
	echo "====MAKE $@ step"
	dh_testdir
	dh_installdirs -i
	cd doc && env PYTHONPATH="../src:${PYTHONPATH}" make html
	rm -f doc/build/html/_static/jquery.js doc/build/html/_static/underscore.js
	find debian/$(PACKAGE)-doc/usr/share -name '*.html' | xargs perl -p -i -e 's:<script type="text/javascript" src=".*_static/jquery.js"></script>:<script language="javascript" type="text/javascript" src="/javascript/jquery/jquery.js"></script>:'
	find debian/$(PACKAGE)-doc/usr/share -name '*.html' | xargs perl -p -i -e 's:<script type="text/javascript" src=".*_static/underscore.js"></script>:<script language="javascript" type="text/javascript" src="/javascript/sphinxdoc/1.0/underscore.js"></script>:'
	echo "====MAKE: I'm now in `/bin/pwd`"
	mkdir -p  debian/$(PACKAGE)-doc/usr/share/doc/$(PACKAGE)-doc
	cp -a doc/build/html debian/$(PACKAGE)-doc/usr/share/doc/$(PACKAGE)-doc
	ln -s ../../../../javascript/jquery/jquery.js debian/$(PACKAGE)-doc/usr/share/doc/$(PACKAGE)-doc/html/_static/jquery.js
	ln -s ../../../../javascript/sphinxdoc/1.0/underscore.js debian/$(PACKAGE)-doc/usr/share/doc/$(PACKAGE)-doc/html/_static/underscore.js
	touch $@
	echo "====END MAKE $@ step"

install: build build-docs
	echo "====MAKE $@ step"
	dh_testdir
	dh_testroot
	python setup.py install \
		--no-compile \
		--single-version-externally-managed \
		--root $(CURDIR)/debian/$(PACKAGE) \
		$(py_setup_install_args)
	set -e; for py in $(PYVERS); do  \
		rm -fr $(CURDIR)/debian/$(PACKAGE)/usr/lib/python$$py/dist-packages/$(PACKAGE)/demo ; \
	done
	echo "====END MAKE $@ step"



# W: pycompile:161: dangling symlink skipped: /usr/lib/python2.6/dist-packages/funkload/demo/seam-booking-1.1.5/test_SeamBooking.py (../../../../../../share/pyshared/funkload/demo/

XXXinstall-%:
	echo "====MAKE $@ step"
	mkdir -p  debian/$(PACKAGE)/usr/share/pyshared debian/$(PACKAGE)/usr/bin
	cp -a src/funkload debian/$(PACKAGE)/usr/share/pyshared
	install -m 0755 scripts/* debian/$(PACKAGE)/usr/bin
	chmod -R a-wx debian/$(PACKAGE)/usr/share/pyshared/$(PACKAGE)
	chmod -R a+rX debian/$(PACKAGE)/usr/share/pyshared/$(PACKAGE)
	rm -fr $(CURDIR)/debian/$(PACKAGE)/usr/lib/site-packages/$(PACKAGE)/demo
	#python$* setup.py build_scripts --executable=/usr/bin/python
	#python$* setup.py install $(py_setup_install_args) \
	#	--root $(call pkgdir,$*)
	echo "====END MAKE $@ step"

binary-indep: build install
	echo "====MAKE $@ step"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installchangelogs -p $(PACKAGE)
	dh_installdocs -i
	ls -l debian/funkload.examples
	dh_installexamples -i -v
	ls -l debian/funkload.examples
	dh_link -i
	dh_installman -i
	#mv debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/examples/demo/* \
	#	debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/examples && \
	chmod -R a-wx debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)
	chmod -R a+rX debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)
	#rmdir debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/examples/demo
	#find debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)
	echo "====MAKE $@ before dh_python2"
	dh_python2 -i
	rm -fr $(CURDIR)/debian/$(PACKAGE)/usr/share/pyshared/$(PACKAGE)/demo
	echo "====MAKE $@ after dh_python2"
	dh_fixperms -i
	dh_compress -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -- -Z xz
	echo "====END MAKE $@ step"

# what?
#dh_compress -i -X.py -X.js -Xmakotemplates.txt

## funkload 1.17.1

=== Makefile ===
--- 
+++ 
@@ -25,9 +25,6 @@
 	python setup.py $(PKGTAG) sdist
 
 egg:
-	-python2.4 setup.py $(PKGTAG) bdist_egg
-	-python2.5 setup.py $(PKGTAG) bdist_egg
-	-python2.6 setup.py $(PKGTAG) bdist_egg
 	-python2.7 setup.py $(PKGTAG) bdist_egg
 
 distrib:
@@ -38,9 +35,7 @@
 	python setup.py $(PKGTAG) install
 
 register:
-	-python2.6 setup.py register sdist bdist_egg upload
 	-python2.7 setup.py register bdist_egg upload
-	-python2.5 setup.py register bdist_egg upload
 
 
 uninstall:

=== src/funkload/demo/simple/Makefile ===
# Makefile for simple demo
MONCTL := fl-monitor-ctl monitor.conf

ifdef URL
# FunkLoad options
	FLOPS = -u $(URL) $(EXT)
else
	FLOPS = $(EXT)
endif

all: test

# testing
test:
	fl-run-test test_Simple.py -v $(FLOPS)

# benching
bench: bench_fast

bench_all: bench_fast bench_fast_multicpu bench_resources bench_sleep diff_reports

# fastest with cpu affinity
bench_fast:
	@$(MONCTL) restart
	-taskset -c 0 fl-run-bench -c 1:2:3:4:5:6:8:10:16 -D 4 -f --simple-fetch --label=onecpu test_Simple.py Simple.test_simple $(FLOPS)
	@$(MONCTL) stop
	-fl-build-report simple-bench.xml --html -r report-onecpu

# fast on all available cpu
bench_fast_multicpu:
	@$(MONCTL) restart
	-fl-run-bench -c 1:2:3:4:5:6:8:10:16 -D 4 -f --simple-fetch --label=allcpu test_Simple.py Simple.test_simple $(FLOPS)
	@$(MONCTL) stop
	-fl-build-report simple-bench.xml --html -r report-allcpu

# fast cpu affinity and fetching resources
bench_resources:
	@$(MONCTL) restart
	-taskset -c 0 fl-run-bench -c 1:2:3:4:5:6:8:10:16 -D 4 -f --label=resources test_Simple.py Simple.test_simple $(FLOPS)
	@$(MONCTL) stop
	-fl-build-report simple-bench.xml --html -r report-resources


# sleep 0.5ms between requests
bench_sleep:
	@$(MONCTL) restart
	-taskset -c 0 fl-run-bench -c 1:2:3:4:5:6:8:10:16 -D 4 -m0 -M0.001 --simple-fetch --label=sleep test_Simple.py Simple.test_simple $(FLOPS)
	@$(MONCTL) stop
	-fl-build-report simple-bench.xml --html -r report-sleep


diff_reports:
	-fl-build-report --diff report-allcpu report-onecpu -r diff_one_vs_multi_cpu
	-fl-build-report --diff report-resources report-onecpu -r diff_nofetch_vs_fetchresources


# monitor ctl
start_monitor:
	$(MONCTL) start

stop_monitor:
	-$(MONCTL) stop

restart_monitor:
	$(MONCTL) restart


clean:
	-find . "(" -name "*~" -or  -name ".#*" ")" -print0 | xargs -0 rm -f

=== debian/changelog ===
funkload (1.17.1-2) unstable; urgency=low

  * Commit Debian 3.0 (quilt) metadata
  * remove the bogus .egg-info directory
  * do not install the demo files, they are in .../examples

 -- Toni Mueller <toni@debian.org>  Sun, 18 Dec 2016 14:57:02 +0100

funkload (1.17.1-1) unstable; urgency=medium

  * new upstream version
  * new packaging

 -- Toni Mueller <toni@debian.org>  Sun, 18 Dec 2016 03:35:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,16 @@
 Section: web
 Priority: extra
 Maintainer: Toni Mueller <toni@debian.org>
-Build-Depends: python, debhelper (>= 7.4), python-support (>> 1.0), python-setuptools, python-sphinx
+Build-Depends: python, debhelper (>= 7.4), dh-python, python-setuptools, python-sphinx
 Standards-Version: 3.9.3
+Homepage: http://funkload.nuxeo.com
 X-Python-Version: >= 2.4, << 2.8
+#Vcs-Git: git://git.debian.org/collab-maint/funkload.git
+#Vcs-Browser: http://git.debian.org/?p=collab-maint/funkload.git;a=summary
 
 Package: funkload
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-setuptools, python-pkg-resources, python-webunit (>= 1:1.3.10)
+Depends: ${misc:Depends}, ${python:Depends}, python2.7, python-setuptools, python-pkg-resources, python-webunit (>= 1:1.3.10)
 Recommends: tcpwatch-httpproxy, gnuplot (>= 4.2), python-docutils
 Suggests: python-paramiko, python-virtualenv
 Description: web testing tool
@@ -25,7 +28,7 @@
 Package: funkload-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, python-sphinx
 Recommends: libjs-jquery, libjs-sphinxdoc
 Description: web testing tool (documentation package)
  This package contains the sphinx generated documentation for

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

DEB_SOURCE_PACKAGE=funkload
DEB_ALL_PACKAGES="funkload funkload-doc"

PYVERS=$(shell pyversions -vr)

export DEB_BUILD_OPTIONS=nocheck

%:
	dh $@ -v --with python2 --buildsystem=python_distutils -pfunkload -pfunkload-doc


override_dh_install:
	dh_install -O-v -O--buildsystem=python_distutils
	install -d debian/funkload/usr/share/doc/funkload/examples
	cp -a src/funkload/demo debian/funkload/usr/share/doc/funkload/examples
	rm -fr debian/funkload/usr/lib/python2.7/dist-packages/funkload/demo
	rm -fr debian/funkload/usr/lib/python2.7/dist-packages/funkload/tests
	rm -f debian/funkload/usr/bin/fl-install-demo



override_dh_fixperms:
	dh_fixperms -O-v -O--buildsystem=python_distutils
	find debian/funkload/usr/share/doc/funkload -type f -print0 | xargs -0 chmod 0644

override_dh_installdocs:
	cd doc && make html
	rm -f doc/build/html/_static/jquery.js doc/build/html/_static/underscore.js
	find debian/funkload-doc/build -name '*.html' | xargs perl -p -i -e 's:<script type="text/javascript" src=".*_static/jquery.js"></script>:<script language="javascript" type="text/javascript" src="/javascript/jquery/jquery.js"></script>:'
	find debian/funkload-doc/build -name '*.html' | xargs perl -p -i -e 's:<script type="text/javascript" src=".*_static/underscore.js"></script>:<script language="javascript" type="text/javascript" src="/javascript/sphinxdoc/1.0/underscore.js"></script>:'
	dh_installdocs
